Subject: RE: RFC 2460 issue

From: Dimitry Haskin <[email-masked]>
Date: Tue, 28 Oct 2003 14:45:52 -0500

It is perfectly valid to originate packets with Hop Count set to zero. Such
packets, if received, must not be forwarded. However they should be accepted
by a receiving node to which these packets are sent to.

Dimitry

> -----Original Message-----
> From: Fred Templin [mailto:[email-masked]]
> Sent: Tuesday, October 28, 2003 2:35 PM
> To: Alain Durand
> Cc: [email-masked]
> Subject: Re: RFC 2460 issue
> 
> 
> Don't know about the sending host, but perhaps the next forwarding
> hop should send an ICMPv6 parameter problem message (RFC 2463,
> section 3.4) if it gets a packet with Hop Count = 0?
> 
> Trouble is, the original source of the IPv6 packet might be different
> than the previous hop which made the mistake forwarding the packet
> with Hop Count = 0. So, the ICMPv6 parameter problem message
> might  be of little value to the original source.
> 
> Fred
> [email-masked]
>  
> 
> Alain Durand wrote:
> 
> > I had this question yesterday and I couldn't find an answer 
> in RFC2460:
> >
> > Is it valid for a host to send a packet with Hop Count set to zero?
> >
> >     - Alain.
> >
> >
> >
> > --------------------------------------------------------------------
> > IETF IPv6 working group mailing list
> > [email-masked]
> > Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
> > --------------------------------------------------------------------
> 
> 
> 
> 
> --------------------------------------------------------------------
> IETF IPv6 working group mailing list
> [email-masked]
> Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
> --------------------------------------------------------------------
> 

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------

---

From: Fred Templin <[email-masked]>
Date: Tue, 28 Oct 2003 12:05:38 -0800

>by a receiving node to which these packets are sent to.

Is this a feature or a bug?

Fred
[email-masked]